/* Overlay */
.popup-overlay {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
    background: rgba(0, 0, 0, 0.5);
    z-index: 999;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s ease;
}

/* Bottom popup content */
.popup-content {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    background: #fff;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    padding: 20px;
    margin: auto;
    box-shadow: 0 -2px 10px rgba(0,0,0,0.2);
    transform: translateY(100%);
    transition: transform 0.3s ease;
}

.popup-overlay.active {
    opacity: 1;
    pointer-events: auto;
}

.popup-overlay.active .popup-content {
    transform: translateY(0);
}

.close-btn {
    float: right;
    cursor: pointer;
    font-size: 18px;
}

.mobileAppAdImg {
    border-radius: 2rem;
    width: inherit;
    height: auto;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.popup-content{
    text-align: center;
    max-width: 30rem;
}